## org.apache.maven.shared.io.location
Class URLLocation

    java.lang.Object
      org.apache.maven.shared.io.location.FileLocation
          org.apache.maven.shared.io.location.URLLocation

All Implemented Interfaces:
  Location

    public class URLLocation

extends FileLocation

Constructor Summary
`URLLocation(java.net.URL url, java.lang.String specification, java.lang.String tempFilePrefix, java.lang.String tempFileSuffix, boolean tempFileDeleteOnExit)`

Method Summary
`protected void` `initFile()`

Methods inherited from class org.apache.maven.shared.io.location.FileLocation
`close, getFile, getInputStream, getSpecification, open, read, read, setFile, unsafeGetFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLLocation

    public URLLocation(java.net.URL url,
                       java.lang.String specification,
                       java.lang.String tempFilePrefix,
                       java.lang.String tempFileSuffix,
                       boolean tempFileDeleteOnExit)

Method Detail

### initFile

    protected void initFile()
                     throws java.io.IOException

  Overrides:
    `initFile` in class `FileLocation`
  Throws:
    `java.io.IOException`

Copyright © 2011. All Rights Reserved.